# ApplicationFramework
TKLCAF
TDF

# TDF_DoubleMapNodeOfGUIDProgIDMap Class Reference

`#include <TDF_DoubleMapNodeOfGUIDProgIDMap.hxx>`

## Public Member Functions

| TDF_DoubleMapNodeOfGUIDProgIDMap (const Standard_GUID &K1, const TCollection_ExtendedString &K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Standard_GUID & | Key1 () const
TCollection_ExtendedString & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_GUID | myKey1
TCollection_ExtendedString | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

TDF_DoubleMapNodeOfGUIDProgIDMap::TDF_DoubleMapNodeOfGUIDProgIDMap | ( | const Standard_GUID & | K1,
|  | const TCollection_ExtendedString & | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const TDF_DoubleMapNodeOfGUIDProgIDMap::Handle | ( | Standard_Type |  | ) | const

Standard_GUID& TDF_DoubleMapNodeOfGUIDProgIDMap::Key1 | ( |  | ) | const

TCollection_ExtendedString& TDF_DoubleMapNodeOfGUIDProgIDMap::Key2 | ( |  | ) | const

TCollection_MapNodePtr& TDF_DoubleMapNodeOfGUIDProgIDMap::Next2 | ( |  | ) | const

## Field Documentation

Standard_GUID TDF_DoubleMapNodeOfGUIDProgIDMap::myKey1 `[private]`

TCollection_ExtendedString TDF_DoubleMapNodeOfGUIDProgIDMap::myKey2 `[private]`

TCollection_MapNodePtr TDF_DoubleMapNodeOfGUIDProgIDMap::myNext2 `[private]`

The documentation for this class was generated from the following file:

- TDF_DoubleMapNodeOfGUIDProgIDMap.hxx